# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo/src/catalyst/arch/ppc.py,v 1.12.2.4 2005/07/23 17:34:48 wolf31o2 Exp $

import os,builder
from catalyst_support import *

# install a 32bit kernel personality changer (that works) before building on a ppc64 host
# use the experimental thing for nptl builds

class generic_ppc(builder.generic):
	"abstract base class for all ppc builders"
	def __init__(self,myspec):
		builder.generic.__init__(self,myspec)
		self.settings["mainarch"]="ppc"
		self.settings["CHOST"]="powerpc-unknown-linux-gnu"
		if self.settings["hostarch"]=="ppc64":
			if not os.path.exists("/usr/bin/linux32"):
				raise CatalystError,"required /usr/bin/linux32 executable not found."
			self.settings["CHROOT"]="/usr/bin/linux32 chroot"
		else:   
			self.settings["CHROOT"]="chroot"

class arch_power_ppc(generic_ppc):
	"builder class for generic powerpc/power"
	def __init__(self,myspec):
		generic_ppc.__init__(self,myspec)
		self.settings["CFLAGS"]="-O2 -mtune=common -pipe"

class arch_ppc(generic_ppc):
	"builder class for generic powerpc"
	def __init__(self,myspec):
		generic_ppc.__init__(self,myspec)
		self.settings["CFLAGS"]="-O2 -mtune=powerpc -pipe"

class arch_power(generic_ppc):
	"builder class for generic power"
	def __init__(self,myspec):
		generic_ppc.__init__(self,myspec)
		self.settings["CFLAGS"]="-O2 -mtune=power -pipe"

class arch_g3(generic_ppc):
	def __init__(self,myspec):
		generic_ppc.__init__(self,myspec)
		self.settings["CFLAGS"]="-O2 -mtune=G3 -mcpu=G3 -pipe"

class arch_g4(generic_ppc):
	def __init__(self,myspec):
		generic_ppc.__init__(self,myspec)
		self.settings["CFLAGS"]="-O2 -mtune=G4 -mcpu=G4 -mabi=altivec -pipe"
		self.settings["HOSTUSE"]=["altivec"]

def register(foo):
	"Inform main catalyst program of the contents of this plugin."
	foo.update({"ppc":arch_ppc,"power":arch_power,"power-ppc":arch_power_ppc,"g3":arch_g3,"g4":arch_g4})

